ActiveMQJMSConnectionFactory (ActiveMQ Artemis Web 1.1.0.wildfly-008 API)
Date: 2015-10-29

org.apache.activemq.artemis.jms.client

## Class ActiveMQJMSConnectionFactory

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory
  - - org.apache.activemq.artemis.jms.client.ActiveMQJMSConnectionFactory

- All Implemented Interfaces:
    Externalizable, Serializable, AutoCloseable, javax.jms.ConnectionFactory, javax.jms.QueueConnectionFactory, javax.jms.TopicConnectionFactory, javax.jms.XAConnectionFactory, Referenceable

      public class ActiveMQJMSConnectionFactory
      extends ActiveMQConnectionFactory
      implements javax.jms.TopicConnectionFactory, javax.jms.QueueConnectionFactory

  ActiveMQ Artemis implementation of a JMS ConnectionFactory.

  This connection factory will use defaults defined by `DefaultConnectionProperties`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQJMSConnectionFactory()`
    `ActiveMQJMSConnectionFactory(boolean ha, DiscoveryGroupConfiguration groupConfiguration)`
    `ActiveMQJMSConnectionFactory(boolean ha, TransportConfiguration... initialConnectors)`
    `ActiveMQJMSConnectionFactory(ServerLocator serverLocator)`
    `ActiveMQJMSConnectionFactory(String uri)`
    `ActiveMQJMSConnectionFactory(String uri, String user, String password)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory

      `close, createConnection, createConnection, createConnectionInternal, createContext, createContext, createContext, createContext, createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, finalize, getCallFailoverTimeout, getCallTimeout, getClientFailureCheckPeriod, getClientID, getConfirmationWindowSize, getConnectionLoadBalancingPolicyClassName, getConnectionTTL, getConsumerMaxRate, getConsumerWindowSize, getDiscoveryGroupConfiguration, getDupsOKBatchSize, getFactoryType, getGroupID, getIncomingInterceptorList, getInitialConnectAttempts, getInitialMessagePacketSize, getMaxRetryInterval, getMinLargeMessageSize, getOutgoingInterceptorList, getPassword, getProducerMaxRate, getProducerWindowSize, getProtocolManagerFactoryStr, getReconnectAttempts, getReference, getRetryInterval, getRetryIntervalMultiplier, getScheduledThreadPoolMaxSize, getServerLocator, getStaticConnectors, getThreadPoolMaxSize, getTransactionBatchSize, getUser, isAutoGroup, isBlockOnAcknowledge, isBlockOnDurableSend, isBlockOnNonDurableSend, isCacheLargeMessagesClient, isCompressLargeMessage, isFailoverOnInitialConnection, isHA, isPreAcknowledge, isUseGlobalPools, readExternal, setAutoGroup, setBlockOnAcknowledge, setBlockOnDurableSend, setBlockOnNonDurableSend, setCacheLargeMessagesClient, setCallFailoverTimeout, setCallTimeout, setClientFailureCheckPeriod, setClientID, setCompressLargeMessage, setConfirmationWindowSize, setConnectionLoadBalancingPolicyClassName, setConnectionTTL, setConsumerMaxRate, setConsumerWindowSize, setDupsOKBatchSize, setFailoverOnInitialConnection, setGroupID, setIncomingInterceptorList, setInitialConnectAttempts, setInitialMessagePacketSize, setMaxRetryInterval, setMinLargeMessageSize, setOutgoingInterceptorList, setPassword, setPreAcknowledge, setProducerMaxRate, setProducerWindowSize, setProtocolManagerFactoryStr, setReconnectAttempts, setRetryInterval, setRetryIntervalMultiplier, setScheduledThreadPoolMaxSize, setThreadPoolMaxSize, setTransactionBatchSize, setUseGlobalPools, setUser, toString, toURI, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.TopicConnectionFactory

      `createTopicConnection, createTopicConnection`

    - ### Methods inherited from interface javax.jms.QueueConnectionFactory

      `createQueueConnection, createQueueConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Constructor Detail

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory()

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory(String uri)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory(String uri,
                                              String user,
                                              String password)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory(ServerLocator serverLocator)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory(boolean ha,
                                              DiscoveryGroupConfiguration groupConfiguration)

    - #### ActiveMQJMSConnectionFactory

          public ActiveMQJMSConnectionFactory(boolean ha,
                                              TransportConfiguration... initialConnectors)

Copyright © 2015. All rights reserved.